Package com.collibra.dgc.core.api.dto.instance.attribute

# Class FindAttributesRequest

Object
PagedRequest
CursorPagedRequest
FindAttributesRequest

All Implemented Interfaces:
  `Serializable`

public class FindAttributesRequest extends CursorPagedRequest
The search criteria for attributes.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned attributes satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 attributes is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindAttributesRequest.Builder`
  `static enum`
  `FindAttributesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAttributesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAttributesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  The ID of the asset to find the attributes in, or null if no asset filtering should be applied.
  `FindAttributesRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `List<UUID>`
  `getTypeIds()`
  The list of IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.
  `List<String>`
  `getTypePublicIds()`
  The list of public IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  The ID of the asset to find the attributes in, or null if no asset filtering should be applied.
  `void`
  `setSortField(FindAttributesRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `void`
  `setTypeIds(List<UUID> typeIds)`
  The list of IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.
  `void`
  `setTypePublicIds(List<String> typePublicIds)`
  The list of public IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindAttributesRequest

    public FindAttributesRequest()

- ## Method Details

  - ### builder

    public static FindAttributesRequest.Builder builder()

  - ### getTypeIds

    public List<UUID> getTypeIds()
    The list of IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.

  - ### getAssetId

    public UUID getAssetId()
    The ID of the asset to find the attributes in, or null if no asset filtering should be applied.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order. Defaults to `DESC`. (descending)

  - ### getSortField

    public FindAttributesRequest.SortField getSortField()
    The field on which the results are sorted. Defaults to `LAST_MODIFIED`.

  - ### getTypePublicIds

    public List<String> getTypePublicIds()
    The list of public IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.

  - ### setTypeIds

    public void setTypeIds(List<UUID> typeIds)
    The list of IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    The ID of the asset to find the attributes in, or null if no asset filtering should be applied.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order. Defaults to `DESC`. (descending)

  - ### setSortField

    public void setSortField(FindAttributesRequest.SortField sortField)
    The field on which the results are sorted. Defaults to `LAST_MODIFIED`.

  - ### setTypePublicIds

    public void setTypePublicIds(List<String> typePublicIds)
    The list of public IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`